import React from 'react';
import styled from 'styled-components';
var StyledSeparator = styled.div.withConfig({
  displayName: "Separator__StyledSeparator",
  componentId: "sc-a5vdsz-0"
})(["width:", ";height:", ";background-color:", ";"], function (p) {
  return p.vertical ? '1px' : '100%';
}, function (p) {
  return p.vertical ? '100%' : '1px';
}, function (p) {
  return p.colorFunction ? p.colorFunction(p.theme) : p.theme.color.divider;
});
var FullWidthSeparator = styled.div.withConfig({
  displayName: "Separator__FullWidthSeparator",
  componentId: "sc-a5vdsz-1"
})(["width:", ";margin-left:", ";", "{width:", ";margin-left:", ";}height:1px;background-color:", ";"], function (p) {
  return "calc(100% + ".concat(p.theme.spacing.unit(10), "px)");
}, function (p) {
  return "-".concat(p.theme.spacing.unit(5), "px");
}, function (p) {
  return p.theme.media.lessThan(p.theme.breakpoints.sm);
}, function (p) {
  return "calc(100% + ".concat(p.theme.spacing.unit(6), "px)");
}, function (p) {
  return "-".concat(p.theme.spacing.unit(3), "px");
}, function (p) {
  return p.colorFunction ? p.colorFunction(p.theme) : p.theme.color.divider;
});
export var Separator = function Separator(props) {
  return props.fullWidth ? React.createElement(FullWidthSeparator, {
    colorFunction: props.color,
    className: props.className
  }) : React.createElement(StyledSeparator, {
    colorFunction: props.color,
    vertical: props.vertical,
    className: props.className
  });
};